## magicor 1.1

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,6 @@
 # Do not change this unless you know what you're doing.
 PYTHON_VERSION=$(shell python -c "import sys; print sys.version[:3]")
 #PYTHON_VERSION=2.4
-#PYTHON_VERSION=2.3
 
 # The prefix is added as a prefix (duh) to all other paths as default.
 PREFIX=/usr/local
@@ -25,17 +24,31 @@
 SHARE_PATH=$(PREFIX)/share/magicor
 # Where to find the system-wide config file.
 CONFIG=$(PREFIX)/etc
+# Docbook XSL stylesheet to use
+DOCBOOK_STYLESHEET=/usr/share/xml/docbook/stylesheet/nwalsh/xhtml/docbook.xsl
+# Options (string parameters) passed to the XSLT processor
+#DOCBOOK_OPTIONS=--stringparam name value
+# Docbook processing command
+DOCBOOK_PROCESS=xsltproc -o $@ $(DOCBOOK_OPTIONS) $(DOCBOOK_STYLESHEET) $<
 
-VERSION=1.0
+# For developers, change version with Magicor version number
+VERSION=1.1
+
 
 .PHONY: all
 all:
+	@echo "Environment:"
 	@echo "Detected Python     $(PYTHON_VERSION)"
 	@echo "Library path set to $(PYTHON_LIB)"
 	@echo "Binary path set to  $(BIN_PATH)"
 	@echo "Data path set to    $(SHARE_PATH)"
 	@echo "Default config in   $(CONFIG)"
-	@echo "Edit the Makefile variables as you must, then 'make install' to install"
+	@echo
+	@echo "Docbook process (optional doc-target):"
+	@echo $(DOCBOOK_PROCESS)
+	@echo
+	@echo "Valid targets: install, uninstall, clean, doc"
+	@echo
 
 .PHONY: install
 install:
@@ -50,13 +63,13 @@
 	chmod a+x $(BIN_PATH)/magicor-editor
 	mkdir -p $(SHARE_PATH)
 	cp -fr data/* $(SHARE_PATH)
-	@echo "Done. If everything wen't well you can now run '$(BIN_PATH)/magicor'"
+	@echo "Done. If everything wen't well you can now run '$(BIN_PATH)/Magicor'"
 
 .PHONY: uninstall
 uninstall:
 	rm -Rf $(PYTHON_LIB)
 	rm -Rf $(SHARE_PATH)
-	rm -f $(BIN_PATH)/magicor*
+	rm -f $(BIN_PATH)/magicor $(BIN_PATH)/magicor-editor
 
 .PHONY: clean
 clean:
@@ -79,3 +92,9 @@
 	tar -cvzf magicor-source-$(VERSION).tar.gz -C dist magicor-$(VERSION)	
 	rsync -Cavr data dist/magicor-$(VERSION)/
 	tar -cvzf magicor-data-$(VERSION).tar.gz -C dist magicor-$(VERSION)/data
+
+.PHONY: doc
+doc: doc/manual.xhtml
+
+mdoc/manual.xhtml: doc/manual.docbook
+	$(DOCBOOK_PROCESS)
