=== debian/changelog ===
magicor (1.1-3) unstable; urgency=low

  [ Luca Falavigna ]
  * Allow byte-compilation of Python files (Closes: #566045):
    - Build-depend on python-support.
    - Invoke dh_pysupport in rules.
  * Depend on ${python:Depends} instead of a specific Python version.
  * Do not create usr/lib/python2.5/site-packages/magicor, let the build
    process to install files into the correct location.

  [ Xavier Oswald ]
  * Fix magicor requiring versioned dependency (Closes: #536208)
  * Avoid debian/watch file to catch development versions

 -- Xavier Oswald <xoswald@debian.org>  Wed, 17 Mar 2010 16:07:12 +0100

magicor (1.1-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.4
  * Fix FTBFS with Python 2.6 (Closes: #571496)
  * Add debian/watch file
  * Switch to dpkg-source 3.0 (quilt) format

 -- Xavier Oswald <xoswald@debian.org>  Tue, 02 Mar 2010 15:43:20 +0100

magicor (1.1-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + change my mail address
    + Bump Standards-Version to 3.8.1
    + Remove DM flag
    + Update debhelper to 7
    + Update python to 2.5
    + move python from Build-Depends to Build-Depends-Indep
  * Update debian/Compat to 7
  * Update python version in debian/magicor.install
  * Update python version in debian/magicor.dirs
  * Fix for victory animation problem (closes: #412391)
  * Fix for penguin artifact in ice block problem (closes: #412486)
  * Time statistics for completed levels (closes: #413317)
  * Fix lintian warnings:
    W: magicor: description-contains-homepage
    I: magicor source: build-depends-without-arch-dep python

 -- Xavier Oswald <xoswald@debian.org>  Fri, 24 Apr 2009 13:02:12 +0200

magicor (1.0-1) unstable; urgency=low

  * Initial release (closes: #407346)

 -- Xavier Oswald <x.oswald@free.fr>  Wed, 17 Jan 2007 18:24:13 +0100
