=== debian/control ===
Source: magicor
Section: games
Priority: optional
Maintainer: Xavier Oswald <xoswald@debian.org>
Uploaders: Frederic Wagner <wagnerf@imag.fr>
Build-Depends: debhelper (>= 7), cdbs
Build-Depends-Indep: python (>= 2.5), python-support
Standards-Version: 3.8.4
Homepage: http://magicor.sf.net/

Package: magicor
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-pygame, magicor-data (= ${binary:Version}), libsdl-image1.2,
 libsdl-mixer1.2, python-gtk2, libglade2-0
Description: puzzle game in the spirit of solomon's key
 Magicor is a small puzzle game similar to the old NES classic
 solomon's key. You control tux the penguin and create ice blocks
 to extinguish all fires on each map.

Package: magicor-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: data files for the magicor puzzle game
 Magicor is a small puzzle game similar to the old NES classic
 solomon's key. You control tux the penguin and create ice blocks
 to extinguish all fires on each map.
 This package contains all data files necessary to run the game.
