=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_INSTALL_MANPAGES_magicor := debian/magicor.1 debian/magicor-editor.1

DEB_MAKE_CLEAN_TARGET = clean
DEB_MAKE_BUILD_TARGET = all
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/tmp/
DEB_MAKE_MAKEFILE = Makefile.debian

binary-install/magicor::
	dh_pysupport -pmagicor
