=== debian/watch ===
version=3
http://sf.net/magicor/magicor-source-([\d.]+)\.tar\.gz
